package org.studiorailgun;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.Test;

/**
 * Tests loading conversations
 */
public class ConvLoadingTests {
    
    @Test
    public void testLoadConversation(){
        Globals.init("./data/webs/test/web.json");
        assertEquals(Globals.web.getAnchors().getSelfNode(), Globals.conversation.getSelf().getData());
        assertNotEquals(Globals.web.getAnchors().getSelfNode(), Globals.conversation.getOther().getData());
    }


}
